Bug 592074 - Review Request: R-SparseM - Sparse linear algebra
Summary: Review Request: R-SparseM - Sparse linear algebra
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2010-05-13 19:27 UTC by Sandro Mathys
Modified: 2010-09-22 13:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-22 13:30:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sandro: fedora-review-


Attachments (Terms of Use)

Description Sandro Mathys 2010-05-13 19:27:38 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/R-SparseM.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-SparseM-0.85-1.fc12.src.rpm
Description:
Basic linear algebra for sparse matrices.

rpmlint {SPECS,SRPMS,RPMS/i686}/R-SparseM*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Pierre-YvesChibon 2010-06-28 06:37:09 UTC
* Latest version packaged
62ffeff7a9739019b3c42e3eab31f1a89a4d102d  SparseM_0.85.tar.gz
62ffeff7a9739019b3c42e3eab31f1a89a4d102d  ~/rpmbuild/SOURCES/SparseM_0.85.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* The macro %check is present
* There is 1 %dir
  %dir is OK
* There is 5 %doc
* More element than expected in %doc
   LICENSE ChangeLog
* The rpm installed in _libdir
* The rpm uses %{_libdir} and is arch
* The rpm seems to have the required element in %install
* Build properly under 2.6.33.5-124.fc13.x86_64
* rpmlint:
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.

  Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2276476
   0 free  0 open  3 done  0 failed
   2276476 build (dist-f14, R-SparseM-0.85-1.fc12.src.rpm) completed successfully


- Build produces quite a number of warnings
* %check is present
* All checks are passed successfully
* License GPLv2+ is compatible with Fedora
! The license file mention different licenses (and provides a incorrect link)
I will ask for information regarding the license before approve this package.

Comment 2 Tom "spot" Callaway 2010-06-28 12:24:07 UTC
The PCx license (on cholesky.f) is non-free, because of the commercial use restriction.

I made Paul Betten aware of the licensing issue on September 2, 2009, and asked him if it would be possible to relicense it to something Free and GPL compatible. He replied that he would look into the issue, but I have never received any further communication from Mr. Betten.

Blocking this on FE-Legal.

Comment 3 Pierre-YvesChibon 2010-06-30 06:09:59 UTC
Is it something worth mentioning to CRAN ? Or is CRAN actually allowed to distribute this package ?

Comment 4 Sandro Mathys 2010-07-12 19:36:11 UTC
I wrote Paul Betten a mail, maybe a second poke after the one of spot helps - you never know. No idea what else we could do here.

Comment 5 Sandro Mathys 2010-07-12 22:08:17 UTC
Paul Betten stated that PCx is commercially licensed and he can't carve out a routine (cholesky.f).

Comment 6 Pierre-YvesChibon 2010-08-30 14:14:28 UTC
I believe we should close this bug as the license is a blocker for Fedora. Sandro, shall I do it ?

Comment 7 Pierre-YvesChibon 2010-09-21 18:13:05 UTC
ping ?

Comment 8 Sandro Mathys 2010-09-22 13:30:24 UTC
cholesky.f is nonfree, therefore this can't be included in Fedora.


Note You need to log in before you can comment on or make changes to this bug.